## bzip2 0.9.0c

=== Makefile ===

CC=gcc
CFLAGS=-Wall -O2 -fomit-frame-pointer -fno-strength-reduce

OBJS= blocksort.o  \
      huffman.o    \
      crctable.o   \
      randtable.o  \
      compress.o   \
      decompress.o \
      bzlib.o

all: lib bzip2 test

bzip2: lib
	$(CC) $(CFLAGS) -c bzip2.c
	$(CC) $(CFLAGS) -o bzip2 bzip2.o -L. -lbz2
	$(CC) $(CFLAGS) -o bzip2recover bzip2recover.c

lib: $(OBJS)
	rm -f libbz2.a
	ar clq libbz2.a $(OBJS)

test: bzip2
	@cat words1
	./bzip2 -1 < sample1.ref > sample1.rb2
	./bzip2 -2 < sample2.ref > sample2.rb2
	./bzip2 -d < sample1.bz2 > sample1.tst
	./bzip2 -d < sample2.bz2 > sample2.tst
	@cat words2
	cmp sample1.bz2 sample1.rb2 
	cmp sample2.bz2 sample2.rb2
	cmp sample1.tst sample1.ref
	cmp sample2.tst sample2.ref
	@cat words3


clean: 
	rm -f *.o libbz2.a bzip2 bzip2recover sample1.rb2 sample2.rb2 sample1.tst sample2.tst

.c.o: $*.o bzlib.h bzlib_private.h
	$(CC) $(CFLAGS) -c $*.c -o $*.o

tarfile:
	tar cvf interim.tar *.c *.h Makefile manual.texi manual.ps LICENSE bzip2.1 bzip2.1.preformatted bzip2.txt words1 words2 words3 sample1.ref sample2.ref sample1.bz2 sample2.bz2 *.html README CHANGES libbz2.def libbz2.dsp dlltest.dsp

## bzip2 1.0.3-1

=== Makefile ===
somajor=1.0
sominor=$(somajor).3
SHELL=/bin/sh

# To assist in cross-compiling
CC=gcc
AR=ar
RANLIB=ranlib
LDFLAGS=

# Suitably paranoid flags to avoid bugs in gcc-2.7
BIGFILES=-D_FILE_OFFSET_BITS=64
CFLAGS=-Wall -Winline -O2 $(BIGFILES) $(DEBCFLAGS)

# Where you want it installed when you do 'make install'
PREFIX=/usr


OBJS= blocksort.o  \
      huffman.o    \
      crctable.o   \
      randtable.o  \
      compress.o   \
      decompress.o \
      bzlib.o

all: libbz2.a bzip2 bzip2recover # test

bzip2: libbz2.so bzip2.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o bzip2 bzip2.o -L. -lbz2

bzip2recover: bzip2recover.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o bzip2recover bzip2recover.o

libbz2.a: $(OBJS)
	rm -f libbz2.a
	$(AR) cq libbz2.a $(OBJS)
	@if ( test -f $(RANLIB) || test -f /usr/bin/ranlib || \
		test -f /bin/ranlib || test -f /usr/ccs/bin/ranlib ) ; then \
		echo $(RANLIB) libbz2.a ; \
		$(RANLIB) libbz2.a ; \
	fi

libbz2.so: libbz2.so.$(somajor)
	ln -sf $^ $@

libbz2.so.$(somajor): libbz2.so.$(sominor)
	ln -sf $^ $@

libbz2.so.$(sominor): $(OBJS:%.o=%.sho)
	$(CC) -o libbz2.so.$(sominor) -shared \
	  -Wl,-soname,libbz2.so.$(somajor) $^ -lc

%.sho: %.c
	$(CC) $(CFLAGS) -D_REENTRANT -fPIC -o $@ -c $<

%.o: %.c
	$(CC) $(CFLAGS) -D_REENTRANT -o $@ -c $<

check: test
test: bzip2
	@cat words1
	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
	./bzip2 -1  < sample1.ref > sample1.rb2
	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
	./bzip2 -2  < sample2.ref > sample2.rb2
	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
	./bzip2 -3  < sample3.ref > sample3.rb2
	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
	./bzip2 -d  < sample1.bz2 > sample1.tst
	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
	./bzip2 -d  < sample2.bz2 > sample2.tst
	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
	./bzip2 -ds < sample3.bz2 > sample3.tst
	cmp sample1.bz2 sample1.rb2 
	cmp sample2.bz2 sample2.rb2
	cmp sample3.bz2 sample3.rb2
	cmp sample1.tst sample1.ref
	cmp sample2.tst sample2.ref
	cmp sample3.tst sample3.ref
	@cat words3

install: bzip2 bzip2recover libbz2.a
	if ( test ! -d $(PREFIX)/bin ) ; then mkdir -p $(PREFIX)/bin ; fi
	if ( test ! -d $(PREFIX)/lib ) ; then mkdir -p $(PREFIX)/lib ; fi
	if ( test ! -d $(PREFIX)/man ) ; then mkdir -p $(PREFIX)/man ; fi
	if ( test ! -d $(PREFIX)/man/man1 ) ; then mkdir -p $(PREFIX)/man/man1 ; fi
	if ( test ! -d $(PREFIX)/include ) ; then mkdir -p $(PREFIX)/include ; fi
	cp -f bzip2 $(PREFIX)/bin/bzip2
	ln $(PREFIX)/bin/bzip2 $(PREFIX)/bin/bunzip2
	ln $(PREFIX)/bin/bzip2 $(PREFIX)/bin/bzcat
	cp -f bzip2recover $(PREFIX)/bin/bzip2recover
	chmod a+x $(PREFIX)/bin/bzip2
	chmod a+x $(PREFIX)/bin/bunzip2
	chmod a+x $(PREFIX)/bin/bzcat
	chmod a+x $(PREFIX)/bin/bzip2recover
	cp -f bzip2.1 $(PREFIX)/man/man1
	chmod a+r $(PREFIX)/man/man1/bzip2.1
	cp -f bzlib.h $(PREFIX)/include
	chmod a+r $(PREFIX)/include/bzlib.h
	cp -fa libbz2.a libbz2.so* $(PREFIX)/lib
	chmod a+r $(PREFIX)/lib/libbz2.a
	#cp -f bzexe $(PREFIX)/bin/bzexe
	#chmod a+x $(PREFIX)/bin/bzexe
	cp -f bzgrep $(PREFIX)/bin/bzgrep
	ln $(PREFIX)/bin/bzgrep $(PREFIX)/bin/bzegrep
	ln $(PREFIX)/bin/bzgrep $(PREFIX)/bin/bzfgrep
	chmod a+x $(PREFIX)/bin/bzgrep
	cp -f bzmore $(PREFIX)/bin/bzmore
	ln $(PREFIX)/bin/bzmore $(PREFIX)/bin/bzless
	chmod a+x $(PREFIX)/bin/bzmore
	cp -f bzdiff $(PREFIX)/bin/bzdiff
	ln $(PREFIX)/bin/bzdiff $(PREFIX)/bin/bzcmp
	chmod a+x $(PREFIX)/bin/bzdiff
	#cp -f bzexe.1 bzgrep.1 bzmore.1 bzdiff.1 $(PREFIX)/man/man1
	#chmod a+r $(PREFIX)/man/man1/bzexe.1
	#chmod a+r $(PREFIX)/man/man1/bzgrep.1
	#chmod a+r $(PREFIX)/man/man1/bzmore.1
	#chmod a+r $(PREFIX)/man/man1/bzdiff.1
	#echo ".so man1/bzgrep.1" > $(PREFIX)/man/man1/bzegrep.1
	#echo ".so man1/bzgrep.1" > $(PREFIX)/man/man1/bzfgrep.1
	#echo ".so man1/bzmore.1" > $(PREFIX)/man/man1/bzless.1
	#echo ".so man1/bzdiff.1" > $(PREFIX)/man/man1/bzcmp.1

distclean: clean
clean: 
	rm -f *.o *.sho libbz2.a libbz2.so* bzip2 bzip2recover \
	sample1.rb2 sample2.rb2 sample3.rb2 \
	sample1.tst sample2.tst sample3.tst

DISTNAME=bzip2-1.0.3
tarfile:
	rm -f $(DISTNAME)
	ln -sf . $(DISTNAME)
	tar cvf $(DISTNAME).tar \
	   $(DISTNAME)/blocksort.c \
	   $(DISTNAME)/huffman.c \
	   $(DISTNAME)/crctable.c \
	   $(DISTNAME)/randtable.c \
	   $(DISTNAME)/compress.c \
	   $(DISTNAME)/decompress.c \
	   $(DISTNAME)/bzlib.c \
	   $(DISTNAME)/bzip2.c \
	   $(DISTNAME)/bzip2recover.c \
	   $(DISTNAME)/bzlib.h \
	   $(DISTNAME)/bzlib_private.h \
	   $(DISTNAME)/Makefile \
	   $(DISTNAME)/manual.texi \
	   $(DISTNAME)/manual.ps \
	   $(DISTNAME)/manual.pdf \
	   $(DISTNAME)/LICENSE \
	   $(DISTNAME)/bzip2.1 \
	   $(DISTNAME)/bzip2.1.preformatted \
	   $(DISTNAME)/bzip2.txt \
	   $(DISTNAME)/words0 \
	   $(DISTNAME)/words1 \
	   $(DISTNAME)/words2 \
	   $(DISTNAME)/words3 \
	   $(DISTNAME)/sample1.ref \
	   $(DISTNAME)/sample2.ref \
	   $(DISTNAME)/sample3.ref \
	   $(DISTNAME)/sample1.bz2 \
	   $(DISTNAME)/sample2.bz2 \
	   $(DISTNAME)/sample3.bz2 \
	   $(DISTNAME)/dlltest.c \
	   $(DISTNAME)/*.html \
	   $(DISTNAME)/README \
	   $(DISTNAME)/README.COMPILATION.PROBLEMS \
	   $(DISTNAME)/CHANGES \
	   $(DISTNAME)/libbz2.def \
	   $(DISTNAME)/libbz2.dsp \
	   $(DISTNAME)/dlltest.dsp \
	   $(DISTNAME)/makefile.msc \
	   $(DISTNAME)/Y2K_INFO \
	   $(DISTNAME)/unzcrash.c \
	   $(DISTNAME)/spewG.c \
	   $(DISTNAME)/mk251.c \
	   $(DISTNAME)/bzdiff \
	   $(DISTNAME)/bzdiff.1 \
	   $(DISTNAME)/bzmore \
	   $(DISTNAME)/bzmore.1 \
           $(DISTNAME)/bzgrep \
	   $(DISTNAME)/bzgrep.1 \
	   $(DISTNAME)/Makefile-libbz2_so
	gzip -v $(DISTNAME).tar

# For rebuilding the manual from sources on my RedHat 7.2 box
manual: manual.ps manual.pdf manual.html

manual.ps: manual.texi
#	texi manual.texi
#	dvips -o manual.ps manual.dvi

manual.pdf: manual.ps
	ps2pdf manual.ps

manual.html: manual.texi
#	texi2html -split_chapter manual.texi

=== debian/changelog ===
bzip2 (1.0.3-1) unstable; urgency=low

  * Initial Release.

 -- Tapani Palli <tapani.palli@nokia.com>  Wed, 24 May 2006 10:23:06 +0300

=== debian/control ===
Source: bzip2
Section: utils
Priority: standard
Maintainer: Tapani Palli <tapani.palli@nokia.com>
Standards-Version: 3.6.1.1
Build-depends: texinfo

Package: libbz2-1.0
Priority: standard
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Suggests: libbz2-dev, bzip2
Description: high-quality block-sorting file compressor library - runtime
 This package contains libbzip2 which is used by the bzip2 compressor.
 .
 bzip2 is a freely available, patent free, high-quality data compressor. 
 It typically compresses files to within 10% to 15% of the best available
 techniques, whilst being around twice as fast at compression and six
 times faster at decompression.
 .
 bzip2 compresses files using the Burrows-Wheeler block-sorting text
 compression algorithm, and Huffman coding.  Compression is generally
 considerably better than that achieved by more conventional
 LZ77/LZ78-based compressors, and approaches the performance of the PPM
 family of statistical compressors.
 .
 The archive file format of bzip2 (.bz2) is incompatible with that of its
 predecessor, bzip (.bz).
 .
 Homepage http://www.bzip.org/

Package: libbz2-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: libbz2-1.0(=${Source-Version}), libc6-dev | libc-dev
Replaces: bzip2(<<0.9.5d-3)
Description: high-quality block-sorting file compressor library - development
 Static libraries and include files for the bzip2 compressor library.
 .
 bzip2 is a freely available, patent free, high-quality data compressor. 
 It typically compresses files to within 10% to 15% of the best available
 techniques, whilst being around twice as fast at compression and six
 times faster at decompression.
 .
 bzip2 compresses files using the Burrows-Wheeler block-sorting text
 compression algorithm, and Huffman coding.  Compression is generally
 considerably better than that achieved by more conventional
 LZ77/LZ78-based compressors, and approaches the performance of the PPM
 family of statistical compressors.
 .
 The archive file format of bzip2 (.bz2) is incompatible with that of its
 predecessor, bzip (.bz).
 .
 Homepage http://www.bzip.org/

Package: bzip2
Priority: optional
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Replaces: libbz2(<<0.9.5d-3)
Description: high-quality block-sorting file compressor - utilities
 bzip2 is a freely available, patent free, high-quality data compressor. 
 It typically compresses files to within 10% to 15% of the best available
 techniques, whilst being around twice as fast at compression and six
 times faster at decompression.
 .
 bzip2 compresses files using the Burrows-Wheeler block-sorting text
 compression algorithm, and Huffman coding.  Compression is generally
 considerably better than that achieved by more conventional
 LZ77/LZ78-based compressors, and approaches the performance of the PPM
 family of statistical compressors.
 .
 The archive file format of bzip2 (.bz2) is incompatible with that of its
 predecessor, bzip (.bz).
 .
 Homepage http://www.bzip.org/

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for building the Debian GNU/Linux package bzip2.
# Copyright (C) 2004-2005 Anibal Monsalve Salazar <anibal@debian.org>

SHELL = /bin/bash
package = bzip2

testdir=test -x debian/rules && test -f bzip2.c
testroot=test "`id -nu`" = root

DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

DEBCFLAGS:=
DEBSTRIP:=strip
WGET=wget
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
DEBCFLAGS += -g
endif
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
DEBSTRIP:=:
endif

DEBVERSION:=$(shell head -n 1 debian/changelog \
		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/-[0-9.]*$$//')

build: build-stamp
build-stamp:
	$(testdir)
	# Add here commands to compile the package.
	$(MAKE) DEBCFLAGS="$(DEBCFLAGS)"
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	$(MAKE) DEBCFLAGS="$(DEBCFLAGS)" test
endif
	#makeinfo manual.texi
	touch build-stamp

clean:
	$(testdir)
	rm -f build-stamp
	-$(MAKE) clean
	rm -f debian/substvars debian/files bzip2.info*
	rm -fr debian/tmp*
	find . -name "*~" -print0 | xargs -r0 rm -f

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	$(testdir)
	$(testroot)
	rm -fr debian/tmp*
	install -d debian/tmp/usr

	$(MAKE) PREFIX=`pwd`/debian/tmp/usr install

	### Split

	# Development package
	install -d debian/tmp-dev/usr/lib
	mv debian/tmp/usr/lib/libbz2.{a,so} debian/tmp-dev/usr/lib/
	mv debian/tmp/usr/include debian/tmp-dev/usr/include

	# Library package
	install -d debian/tmp-lib/usr/lib
	for i in $$(ls debian/tmp/usr/lib/libbz2.so* | sort -r); do \
	  (set -x; mv $$i debian/tmp-lib/usr/lib/); \
	done
	chmod -x debian/tmp-lib/usr/lib/*

	# Binary package
	install -d debian/tmp-run/usr
	mv debian/tmp/usr/bin debian/tmp-run/usr/bin
	install -d debian/tmp-run/usr/share
	mv debian/tmp/usr/man debian/tmp-run/usr/share/man

	### Check the install hier
	test "$$(find debian/tmp ! -type d -print | wc -l)" -eq 0
	rm -fr debian/tmp

	### Finalize documentation

	# Man pages
	#gzip -v9 debian/tmp-run/usr/share/man/man1/*.1
	#( cd debian/tmp-run/usr/share/man/man1 && \
	#  for i in bunzip2 bzcat bzip2recover; do \
	#    ln -s bzip2.1.gz $$i.1.gz; \
	#  done )

	# Info
	#install -d debian/tmp-run/usr/share/info
	#cp bzip2.info* debian/tmp-run/usr/share/info/
	#gzip -v9 debian/tmp-run/usr/share/info/*

	# Other docs in lib package
	#install -d debian/tmp-run/usr/share/doc/bzip2
	#cp *.ps *.html *.texi debian/tmp-run/usr/share/doc/bzip2
	#gzip -v9 debian/tmp-run/usr/share/doc/bzip2/*.{ps,texi}
	#cp CHANGES debian/tmp-run/usr/share/doc/bzip2/changelog
	#cp debian/changelog \
	#  debian/tmp-run/usr/share/doc/bzip2/changelog.Debian
	#gzip -v9 debian/tmp-run/usr/share/doc/bzip2/changelog*
	#cp debian/copyright debian/tmp-run/usr/share/doc/bzip2/

	# Doc-base support
	#install -d debian/tmp-run/usr/share/doc-base
	#cp debian/docbase debian/tmp-run/usr/share/doc-base/bzip2

	# Library package
	install -d debian/tmp-lib/usr/share/doc/libbz2-1.0
	cp debian/copyright debian/tmp-lib/usr/share/doc/libbz2-1.0/
	cp CHANGES debian/tmp-lib/usr/share/doc/libbz2-1.0/changelog
	cp debian/changelog \
	  debian/tmp-lib/usr/share/doc/libbz2-1.0/changelog.Debian
	gzip -v9 debian/tmp-lib/usr/share/doc/libbz2-1.0/changelog*

	# Other packages point to libbz2-1.0
	install -d debian/tmp-dev/usr/share/doc
	ln -s libbz2-1.0 debian/tmp-dev/usr/share/doc/libbz2-dev

	### Package finalize

	# Stripping
	for i in debian/tmp-run/usr/bin/*; \
	do \
	  if head -n 1 $$i | grep -vq '^#!'; \
	  then \
	    (set -x; $(DEBSTRIP) -R .note -R .comment $$i); \
	  fi; \
	done
	$(DEBSTRIP) --strip-unneeded -R .note -R .comment \
	  debian/tmp-lib/usr/lib/*.so*
	$(DEBSTRIP) --strip-debug debian/tmp-dev/usr/lib/*.a

	# Control files
	install -d debian/tmp-{lib,dev,run}/DEBIAN
	cp debian/shlibs debian/tmp-lib/DEBIAN/shlibs

	dpkg-shlibdeps debian/tmp-lib/usr/lib/*.so*
	dpkg-gencontrol -isp -Pdebian/tmp-lib -plibbz2-1.0
	rm debian/substvars
	dpkg-gencontrol -isp -Pdebian/tmp-dev -plibbz2-dev
	dpkg-shlibdeps debian/tmp-run/usr/bin/*
	dpkg-gencontrol -isp -Pdebian/tmp-run -pbzip2

	#for i in run dev lib; do \
	#  cp debian/postinst-$$i debian/tmp-$$i/DEBIAN/postinst; \
	#  cp debian/prerm-$$i debian/tmp-$$i/DEBIAN/prerm; \
	#  chmod +x debian/tmp-$$i/DEBIAN/postinst; \
	#  chmod +x debian/tmp-$$i/DEBIAN/prerm; \
	#done
	#cp debian/preinst-run debian/tmp-run/DEBIAN/preinst
	#cp debian/postrm-lib debian/tmp-lib/DEBIAN/postrm
	#chmod +x debian/tmp-run/DEBIAN/preinst debian/tmp-lib/DEBIAN/postrm

	# Fix perms
	chown -R root.root debian/tmp*
	chmod -R a+rX-wts,u+w debian/tmp*

	# Buildit
	dpkg --build debian/tmp-run ..
	dpkg --build debian/tmp-lib ..
	dpkg --build debian/tmp-dev ..

print-version:
	@@echo "Debian version:          $(DEBVERSION)"
	@@echo "Upstream version:        $(UPVERSION)"

get-orig-source:
	$(WGET) -O bzip2_$(UPVERSION).orig.tar.gz \
	  http://www.bzip.org/$(UPVERSION)/bzip2-$(UPVERSION).tar.gz

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary print-version \
	get-orig-source

## bzip2 1.0.4-2maemo1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,19 @@
+# ------------------------------------------------------------------
+# This file is part of bzip2/libbzip2, a program and library for
+# lossless, block-sorting data compression.
+#
+# bzip2/libbzip2 version 1.0.4 of 20 December 2006
+# Copyright (C) 1996-2006 Julian Seward <jseward@bzip.org>
+#
+# Please read the WARNING, DISCLAIMER and PATENTS sections in the 
+# README file.
+#
+# This program is released under the terms of the license contained
+# in the file LICENSE.
+# ------------------------------------------------------------------
+
 somajor=1.0
-sominor=$(somajor).3
+sominor=$(somajor).4
 SHELL=/bin/sh
 
 # To assist in cross-compiling
@@ -8,12 +22,11 @@
 RANLIB=ranlib
 LDFLAGS=
 
-# Suitably paranoid flags to avoid bugs in gcc-2.7
 BIGFILES=-D_FILE_OFFSET_BITS=64
-CFLAGS=-Wall -Winline -O2 $(BIGFILES) $(DEBCFLAGS)
+CFLAGS=-Wall -Winline -O2 -g $(BIGFILES) $(DEBCFLAGS)
 
 # Where you want it installed when you do 'make install'
-PREFIX=/usr
+PREFIX=/usr/local
 
 
 OBJS= blocksort.o  \
@@ -100,38 +113,41 @@
 	chmod a+r $(PREFIX)/include/bzlib.h
 	cp -fa libbz2.a libbz2.so* $(PREFIX)/lib
 	chmod a+r $(PREFIX)/lib/libbz2.a
-	#cp -f bzexe $(PREFIX)/bin/bzexe
-	#chmod a+x $(PREFIX)/bin/bzexe
+	cp -f bzexe $(PREFIX)/bin/bzexe
+	chmod a+x $(PREFIX)/bin/bzexe
 	cp -f bzgrep $(PREFIX)/bin/bzgrep
-	ln $(PREFIX)/bin/bzgrep $(PREFIX)/bin/bzegrep
-	ln $(PREFIX)/bin/bzgrep $(PREFIX)/bin/bzfgrep
+	ln -s -f $(PREFIX)/bin/bzgrep $(PREFIX)/bin/bzegrep
+	ln -s -f $(PREFIX)/bin/bzgrep $(PREFIX)/bin/bzfgrep
 	chmod a+x $(PREFIX)/bin/bzgrep
 	cp -f bzmore $(PREFIX)/bin/bzmore
-	ln $(PREFIX)/bin/bzmore $(PREFIX)/bin/bzless
+	ln -s -f $(PREFIX)/bin/bzmore $(PREFIX)/bin/bzless
 	chmod a+x $(PREFIX)/bin/bzmore
 	cp -f bzdiff $(PREFIX)/bin/bzdiff
-	ln $(PREFIX)/bin/bzdiff $(PREFIX)/bin/bzcmp
+	ln -s -f $(PREFIX)/bin/bzdiff $(PREFIX)/bin/bzcmp
 	chmod a+x $(PREFIX)/bin/bzdiff
-	#cp -f bzexe.1 bzgrep.1 bzmore.1 bzdiff.1 $(PREFIX)/man/man1
-	#chmod a+r $(PREFIX)/man/man1/bzexe.1
-	#chmod a+r $(PREFIX)/man/man1/bzgrep.1
-	#chmod a+r $(PREFIX)/man/man1/bzmore.1
-	#chmod a+r $(PREFIX)/man/man1/bzdiff.1
-	#echo ".so man1/bzgrep.1" > $(PREFIX)/man/man1/bzegrep.1
-	#echo ".so man1/bzgrep.1" > $(PREFIX)/man/man1/bzfgrep.1
-	#echo ".so man1/bzmore.1" > $(PREFIX)/man/man1/bzless.1
-	#echo ".so man1/bzdiff.1" > $(PREFIX)/man/man1/bzcmp.1
-
-distclean: clean
+	cp -f bzexe.1 bzgrep.1 bzmore.1 bzdiff.1 $(PREFIX)/man/man1
+	chmod a+r $(PREFIX)/man/man1/bzexe.1
+	chmod a+r $(PREFIX)/man/man1/bzgrep.1
+	chmod a+r $(PREFIX)/man/man1/bzmore.1
+	chmod a+r $(PREFIX)/man/man1/bzdiff.1
+	echo ".so man1/bzgrep.1" > $(PREFIX)/man/man1/bzegrep.1
+	echo ".so man1/bzgrep.1" > $(PREFIX)/man/man1/bzfgrep.1
+	echo ".so man1/bzmore.1" > $(PREFIX)/man/man1/bzless.1
+	echo ".so man1/bzdiff.1" > $(PREFIX)/man/man1/bzcmp.1
+
 clean: 
 	rm -f *.o *.sho libbz2.a libbz2.so* bzip2 bzip2recover \
 	sample1.rb2 sample2.rb2 sample3.rb2 \
 	sample1.tst sample2.tst sample3.tst
 
-DISTNAME=bzip2-1.0.3
-tarfile:
+
+distclean: clean
+	#rm -f manual.ps manual.html manual.pdf
+
+DISTNAME=bzip2-1.0.4
+dist: check manual
 	rm -f $(DISTNAME)
-	ln -sf . $(DISTNAME)
+	ln -s -f . $(DISTNAME)
 	tar cvf $(DISTNAME).tar \
 	   $(DISTNAME)/blocksort.c \
 	   $(DISTNAME)/huffman.c \
@@ -145,9 +161,6 @@
 	   $(DISTNAME)/bzlib.h \
 	   $(DISTNAME)/bzlib_private.h \
 	   $(DISTNAME)/Makefile \
-	   $(DISTNAME)/manual.texi \
-	   $(DISTNAME)/manual.ps \
-	   $(DISTNAME)/manual.pdf \
 	   $(DISTNAME)/LICENSE \
 	   $(DISTNAME)/bzip2.1 \
 	   $(DISTNAME)/bzip2.1.preformatted \
@@ -163,15 +176,17 @@
 	   $(DISTNAME)/sample2.bz2 \
 	   $(DISTNAME)/sample3.bz2 \
 	   $(DISTNAME)/dlltest.c \
-	   $(DISTNAME)/*.html \
+	   $(DISTNAME)/manual.html \
+	   $(DISTNAME)/manual.pdf \
+	   $(DISTNAME)/manual.ps \
 	   $(DISTNAME)/README \
 	   $(DISTNAME)/README.COMPILATION.PROBLEMS \
+	   $(DISTNAME)/README.XML.STUFF \
 	   $(DISTNAME)/CHANGES \
 	   $(DISTNAME)/libbz2.def \
 	   $(DISTNAME)/libbz2.dsp \
 	   $(DISTNAME)/dlltest.dsp \
 	   $(DISTNAME)/makefile.msc \
-	   $(DISTNAME)/Y2K_INFO \
 	   $(DISTNAME)/unzcrash.c \
 	   $(DISTNAME)/spewG.c \
 	   $(DISTNAME)/mk251.c \
@@ -179,20 +194,33 @@
 	   $(DISTNAME)/bzdiff.1 \
 	   $(DISTNAME)/bzmore \
 	   $(DISTNAME)/bzmore.1 \
-           $(DISTNAME)/bzgrep \
+	   $(DISTNAME)/bzexe \
+	   $(DISTNAME)/bzexe.1 \
+	   $(DISTNAME)/bzgrep \
 	   $(DISTNAME)/bzgrep.1 \
-	   $(DISTNAME)/Makefile-libbz2_so
+	   $(DISTNAME)/Makefile-libbz2_so \
+	   $(DISTNAME)/bz-common.xsl \
+	   $(DISTNAME)/bz-fo.xsl \
+	   $(DISTNAME)/bz-html.xsl \
+	   $(DISTNAME)/bzip.css \
+	   $(DISTNAME)/entities.xml \
+	   $(DISTNAME)/manual.xml \
+	   $(DISTNAME)/format.pl \
+	   $(DISTNAME)/xmlproc.sh
 	gzip -v $(DISTNAME).tar
 
-# For rebuilding the manual from sources on my RedHat 7.2 box
-manual: manual.ps manual.pdf manual.html
-
-manual.ps: manual.texi
-#	texi manual.texi
-#	dvips -o manual.ps manual.dvi
-
-manual.pdf: manual.ps
-	ps2pdf manual.ps
-
-manual.html: manual.texi
-#	texi2html -split_chapter manual.texi
+# For rebuilding the manual from sources on my SuSE 9.1 box
+
+MANUAL_SRCS= 	bz-common.xsl bz-fo.xsl bz-html.xsl bzip.css \
+		entities.xml manual.xml 
+
+manual: manual.html manual.ps manual.pdf
+
+manual.ps: $(MANUAL_SRCS)
+	./xmlproc.sh -ps manual.xml
+
+manual.pdf: $(MANUAL_SRCS)
+	./xmlproc.sh -pdf manual.xml
+
+manual.html: $(MANUAL_SRCS)
+	./xmlproc.sh -html manual.xml

=== debian/changelog ===
bzip2 (1.0.4-2maemo1) diablo; urgency=low

  * Added xml mime info, removed documentation from binary distribution.
  * Disabled the libbz2-1.0 package, since it's locked by
    osso-software-version-rx?4 and can't be installed/upgraded
    (see control.original and rules.original).

 -- Andrew Zabolotny <zap@homelink.ru>  Wed, 30 Jul 2008 02:27:09 +0400

bzip2 (1.0.4-2ubuntu4) hardy; urgency=low

  * SECURITY UPDATE: denial of service via heap memory corruption.
  * bzlib.c, bzlib_private.h: upstream patch from 1.0.5 applied inline.
  * References
    CVE-2008-1372

 -- Kees Cook <kees@ubuntu.com>  Wed, 19 Mar 2008 13:11:42 -0700

bzip2 (1.0.4-2ubuntu3) hardy; urgency=low

  * rebuild to regenerate bzip2.info (LP: #187946)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 14 Mar 2008 19:30:36 +0100

bzip2 (1.0.4-2ubuntu2) hardy; urgency=low

  * debian/rules: don't try to chmod dangling symlinks in the binary
    target, since coreutils now throws an error in this case.  LP: #194449.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Feb 2008 05:27:49 +0000

bzip2 (1.0.4-2ubuntu1) hardy; urgency=low

  * lib32bz2-*: Install into /usr/lib32, instead of /emul; change incorrectly
    dropped in last sync.
  * Set Ubuntu maintainer address.
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Steve Langasek <vorlon@debian.org>  Mon, 07 Jan 2008 13:24:41 -0800

bzip2 (1.0.4-2) unstable; urgency=low

  * lib32bz2-*: install into /emul/ia32-linux. Closes: #458853
  * bzexe: correct path is /bin/bzip2. Closes: #418532
  * debian/copyright: provide a copyright file in source package.
    Closes: #381230

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 05 Jan 2008 11:13:05 +1100

bzip2 (1.0.4-1) unstable; urgency=low

  * Synchronise with Ubuntu. Closes: #456237
  * Bumped Standards-Version to 3.7.3
  * Moved homepage from description to pseudo header field in
    debian/control
  * Improved cross-building. Closes: #445036
  * Removed debian/rules.orig
  * Fixed the following lintian messages:
    - W: bzip2 source: debian-rules-ignores-make-clean-error line 90
    - W: bzip2 source: substvar-source-version-is-deprecated libbz2-dev
    - W: bzip2 source: substvar-source-version-is-deprecated bzip2
    - W: bzip2 source: substvar-source-version-is-deprecated lib64bz2-dev
    - W: bzip2 source: substvar-source-version-is-deprecated lib32bz2-dev

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 23 Dec 2007 21:56:32 +1100

bzip2 (1.0.4-0ubuntu2) gutsy; urgency=low

  * Move the user manual in texinfo and ps format into bzip2-doc.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 05 Oct 2007 14:05:39 +0200

bzip2 (1.0.4-0ubuntu1) gutsy; urgency=low

  * New upstream version.
    - Fix file permissions race problem (CAN-2005-0953).
    - Sanitise file names more carefully in bzgrep.  Fixes CAN-2005-0758
      to the extent that applies to bzgrep.
  * lib32bz2-*: Install into /usr/lib32, instead of /emul.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Tue,  3 Jul 2007 12:35:47 +0200

bzip2 (1.0.3-7) unstable; urgency=low

  * Updated Build-depends, added gcc-multilib to fix FTBFS. Thanks to 
    "brian m. carlson" <sandals@crustytoothpaste.ath.cx>. (Closes: #422380)

 -- Santiago Ruano Rincón <santiago@debian.org>  Sun,  6 May 2007 00:34:43 -0500

bzip2 (1.0.3-6) unstable; urgency=low

  * Fixed ppc64 Build-Depends, added Build-Depends on 'libc6-dev-powerpc
    [ppc64]' in control. Patch by Andreas Jochens <aj@andaco.de>. (Closes: #384610)

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 25 Aug 2006 11:56:44 -0500

bzip2 (1.0.3-5) unstable; urgency=low

  * 32-bit libraries installed in /usr/lib32 instead of 
    /emul/ia32-linux/usr/lib on ppc64. Patch by Andreas Jochens <aj@andaco.de> 
    (Closes: #384284)
  * Fixed doc-base control file, added Index: value for "info" format.
    (Closes: #377184)

 -- Santiago Ruano Rincón <santiago@debian.org>  Wed, 23 Aug 2006 12:31:02 -0500

bzip2 (1.0.3-4) unstable; urgency=low

  * The file of lib32bz2-1.0 and lib32bz2-dev are installed into 
    /emul/ia32-linux/usr/lib, not /usr/lib32. (Closes: #379858)

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue,  8 Aug 2006 21:22:51 -0500

bzip2 (1.0.3-3) unstable; urgency=low

  * Updated co-maintainer mail address.
  * Set Standards-Version to 3.7.2.
  * Fixed "bzip2: Bug in bzgrep, with fix", closes: #374168.
  * Fixed "Superfluous symlinks in /usr", closes: #375285.
  * Fixed lintian doc-base-file-unknown-format message.
  * Synchronise with Ubuntu.
    - Fixed "build dependency ia32-libs-dev [amd64] -> libc6-dev-i386
      [amd64]", closes: #357271.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 05 Jul 2006 20:31:25 +1000

bzip2 (1.0.3-2ubuntu1) edgy; urgency=low

  * Synchronize to Debian; apply the remaining Ubuntu changes to pristine
    Debian version, since the current diffs were way too messy.
  * debian/rules:
    - Enable 32 bit libraries on amd64.
    - Do not use ia32-libs as alternative shlibs.
  * debian/control: Drop alternate build-dep on ia32-libs-dev.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 28 Jun 2006 10:31:59 +0200

bzip2 (1.0.3-2) unstable; urgency=low

  * Fixed "upgrading fails", closes: #348266. Patches by Paul Brook
    <paul@nowt.org> and Paul Wise <pabs3@bonedaddy.net>.
  * Replaces amd64-libs and amd64-libs-dev versions << 1.5.
  
 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 16 Jan 2006 14:37:38 +1100

bzip2 (1.0.3-0ubuntu1) dapper; urgency=low

  * New upstream version.
  * Synchronise with Debian unstable.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2005 00:59:50 +0100

bzip2 (1.0.2-11) unstable; urgency=low

  * Fixed "Would be nice if it was installed in /bin (and /lib)",
    closes: #140157.
  * Fixed "The --color option can't be used by bzgrep", closes:
    #316028.
  * Fixed "libbz2-1.0 suggests libbz2-dev without a good reason",
    closes: #333524.



=== debian/control ===
Source: bzip2
Section: user/tools
Priority: important
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders: Andrew Zabolotny <zap@homelink.ru>
Standards-Version: 3.7.3
Homepage: http://www.bzip.org/
Build-Depends: sharutils

Package: bzip2
Priority: optional
Section: user/tools
Architecture: any
Depends: libbz2-1.0, shared-mime-info
Replaces: libbz2 (<<0.9.5d-3)
Description: high-quality block-sorting file compressor - utilities
 bzip2 is a freely available, patent free, high-quality data compressor. 
 It typically compresses files to within 10% to 15% of the best available
 techniques, whilst being around twice as fast at compression and six
 times faster at decompression.
 .
 bzip2 compresses files using the Burrows-Wheeler block-sorting text
 compression algorithm, and Huffman coding.  Compression is generally
 considerably better than that achieved by more conventional
 LZ77/LZ78-based compressors, and approaches the performance of the PPM
 family of statistical compressors.
 .
 The archive file format of bzip2 (.bz2) is incompatible with that of its
 predecessor, bzip (.bz).

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for building the Debian GNU/Linux package bzip2.
# Copyright (C) 1999, 2000, 2001, 2002 Philippe Troin
# Copyright (C) 2004-2007 Anibal Monsalve Salazar <anibal@debian.org>

SHELL = /bin/bash
package = bzip2

testdir=test -x debian/rules && test -f bzip2.c
testroot=test "`id -nu`" = root

# In Maemo we don't need any docs, they will be docpurge'd anyway
__NO_DOCS_PLEASE__ = 1
__NO_LIBS_PLEASE__ = 1

DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS	:= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
        CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
        CC=$(DEB_HOST_GNU_TYPE)-gcc
else
        CROSS=CC=gcc
        CC=gcc
endif

DEBCFLAGS:=
DEBSTRIP:=strip
WGET=wget
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
DEBCFLAGS += -g
endif
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
DEBSTRIP:=:
endif

DEBVERSION:=$(shell head -n 1 debian/changelog \
		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/-[0-9.]*$$//')

#ifneq (,$(findstring /$(DEB_HOST_ARCH)/,/i386/powerpc/sparc/s390/))
#	build64-stamp := build64-stamp
#	CC64=$(CC) -m64
#endif
#ifeq ($(DEB_HOST_ARCH),i386)
#	CC64 += -march=x86-64 -mtune=x86-64
#endif
#ifneq (,$(findstring /$(DEB_HOST_ARCH)/,/amd64/ppc64/))
#	build32-stamp := build32-stamp
#	lib32 := usr/lib32
#endif

build: build-stamp $(build32-stamp) $(build64-stamp)
build-stamp:
	$(testdir)
	# Add here commands to compile the package.
	$(MAKE) DEBCFLAGS="$(DEBCFLAGS)"
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	$(MAKE) DEBCFLAGS="$(DEBCFLAGS)" test
endif
ifndef __NO_DOCS_PLEASE__
	makeinfo -o bzip2.info manual.texi
	cat debian/copyright.in LICENSE > debian/copyright
endif
	touch build-stamp

# requires: docbook-xml docbook2x
manual.texi: manual.xml
	docbook2x-texi --to-stdout manual.xml | \
	awk '/^@direntry/,/^@end direntry/ {if ($$0 !~ /@/) {print "* Bzip2: (bzip2).               A program and library for data compression."; next}} {print}' > manual.texi

build32: build32-stamp
build32-stamp:
	$(testdir)
	rm -rf 32
	mkdir 32
	cp -p *.h *.c Makefile 32/
	$(MAKE) -C 32 "$(CROSS) -m32" DEBCFLAGS="$(DEBCFLAGS)"
	touch build32-stamp

build64: build64-stamp
build64-stamp:
	$(testdir)
	rm -rf 64
	mkdir 64
	cp -p *.h *.c Makefile 64/
	$(MAKE) -C 64 CC="$(CC64)" DEBCFLAGS="$(DEBCFLAGS)"
	touch build64-stamp


clean:
	$(testdir)
	rm -f build*-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf 32 64
	rm -f debian/substvars debian/files bzip2.info*
	rm -fr debian/tmp*
	find . -name "*~" -print0 | xargs -r0 rm -f

# Build architecture-independent files here.
binary-indep: build
	$(testdir)
	$(testroot)

ifndef __NO_DOCS_PLEASE__
	# Info
	install -d debian/tmp-doc/usr/share/info
	cp bzip2.info* debian/tmp-doc/usr/share/info/
	gzip -v9 debian/tmp-doc/usr/share/info/*

	install -d debian/tmp-doc/usr/share/doc/bzip2
	install -d debian/tmp-doc/usr/share/doc/bzip2-doc
	cp *.ps *.html *.texi debian/tmp-doc/usr/share/doc/bzip2
	gzip -v9 debian/tmp-doc/usr/share/doc/bzip2/*.{ps,texi}
	for i in debian/tmp-doc/usr/share/doc/bzip2/*.{ps.gz,texi.gz,html}; do \
	  b=$$(basename $$i); \
	  ln -sf ../bzip2/$$b debian/tmp-doc/usr/share/doc/bzip2-doc/$$b; \
	done

	cp debian/changelog \
	  debian/tmp-doc/usr/share/doc/bzip2-doc/changelog.Debian
	gzip -v9 debian/tmp-doc/usr/share/doc/bzip2-doc/changelog*
	cp debian/copyright debian/tmp-doc/usr/share/doc/bzip2-doc/

	# Doc-base support
	install -d debian/tmp-doc/usr/share/doc-base
	cp debian/docbase debian/tmp-doc/usr/share/doc-base/bzip2

	# Control files
	install -d debian/tmp-doc/DEBIAN

	dpkg-gencontrol -isp -Pdebian/tmp-doc -pbzip2-doc

	for i in doc; do \
	  cp debian/postinst-$$i debian/tmp-$$i/DEBIAN/postinst; \
	  cp debian/prerm-$$i debian/tmp-$$i/DEBIAN/prerm; \
	  chmod +x debian/tmp-$$i/DEBIAN/postinst; \
	  chmod +x debian/tmp-$$i/DEBIAN/prerm; \
	done

	# Fix perms
	chown -R root.root debian/tmp-doc
	chmod -R a+rX-wts,u+w debian/tmp-doc

	# Buildit
	dpkg --build debian/tmp-doc ..
endif

# Build architecture-dependent files here.
binary-arch: build
	$(testdir)
	$(testroot)
	rm -fr debian/tmp*
	install -d debian/tmp/usr

	$(MAKE) PREFIX=`pwd`/debian/tmp install

	### Split

ifndef __NO_LIBS_PLEASE__
	# Development package
	install -d debian/tmp-dev/usr/lib
	rm debian/tmp/lib/libbz2.so
	ln -s /lib/libbz2.so.1.0 debian/tmp-dev/usr/lib/libbz2.so
	mv debian/tmp/lib/libbz2.a debian/tmp-dev/usr/lib/
	mv debian/tmp/include debian/tmp-dev/usr/include
	

	# Library package
	install -d debian/tmp-lib/lib
	for i in $$(ls debian/tmp/lib/libbz2.so*); do \
	  (set -x; echo $$i; mv $$i debian/tmp-lib/lib/); \
	done
	ln -s libbz2.so.1.0.4 debian/tmp-lib/lib/libbz2.so.1
	chmod -x debian/tmp-lib/lib/*
else
	rm -f debian/tmp/lib/libbz2.a
	rm -rf debian/tmp/include

	for i in $$(ls debian/tmp/lib/libbz2.so*); do \
	  (set -x; echo $$i; rm -f $$i); \
	done
endif

	# Binary package
	install -d debian/tmp-run
	mv debian/tmp/bin debian/tmp-run/bin
	ln -sf bzdiff debian/tmp-run/bin/bzcmp
	ln -sf bzgrep debian/tmp-run/bin/bzegrep
	ln -sf bzgrep debian/tmp-run/bin/bzfgrep
	ln -sf bzmore debian/tmp-run/bin/bzless
ifndef __NO_DOCS_PLEASE__
	install -d debian/tmp-run/usr/share
	mv debian/tmp/man debian/tmp-run/usr/share/man
else
	rm -rf debian/tmp/man
endif
	mkdir -p debian/tmp-run/usr/share/icons/hicolor/26x26/mimetypes \
		debian/tmp-run/usr/share/icons/hicolor/48x48/mimetypes \
		debian/tmp-run/usr/share/icons/hicolor/64x64/mimetypes \
		debian/tmp-run/usr/share/mime/packages
	uudecode debian/bzip-26.b64 -o debian/tmp-run/usr/share/icons/hicolor/26x26/mimetypes/application-x-bzip.png
	uudecode debian/bzip-48.b64 -o debian/tmp-run/usr/share/icons/hicolor/48x48/mimetypes/application-x-bzip.png
	uudecode debian/bzip-64.b64 -o debian/tmp-run/usr/share/icons/hicolor/64x64/mimetypes/application-x-bzip.png
	ln -s application-x-bzip.png debian/tmp-run/usr/share/icons/hicolor/26x26/mimetypes/application-x-bzip2.png
	ln -s application-x-bzip.png debian/tmp-run/usr/share/icons/hicolor/48x48/mimetypes/application-x-bzip2.png
	ln -s application-x-bzip.png debian/tmp-run/usr/share/icons/hicolor/64x64/mimetypes/application-x-bzip2.png
	ln -s application-x-bzip.png debian/tmp-run/usr/share/icons/hicolor/26x26/mimetypes/application-x-bzip-compressed-tar.png
	ln -s application-x-bzip.png debian/tmp-run/usr/share/icons/hicolor/48x48/mimetypes/application-x-bzip-compressed-tar.png
	ln -s application-x-bzip.png debian/tmp-run/usr/share/icons/hicolor/64x64/mimetypes/application-x-bzip-compressed-tar.png
	install -m 0644 debian/bzip2.xml debian/tmp-run/usr/share/mime/packages/bzip2.xml

	### Check the install
	test "$$(find debian/tmp ! -type d -print | wc -l)" -eq 0
	rm -fr debian/tmp

ifndef __NO_DOCS_PLEASE__
	### Finalize documentation

	# Man pages
	gzip -v9 debian/tmp-run/usr/share/man/man1/*.1
	( cd debian/tmp-run/usr/share/man/man1 && \
	  for i in bunzip2 bzcat bzip2recover; do \
	    ln -s bzip2.1.gz $$i.1.gz; \
	  done )

	# Other docs in lib package
	install -d debian/tmp-run/usr/share/doc/bzip2
	cp CHANGES debian/tmp-run/usr/share/doc/bzip2/changelog
	cp debian/changelog \
	  debian/tmp-run/usr/share/doc/bzip2/changelog.Debian
	gzip -v9 debian/tmp-run/usr/share/doc/bzip2/changelog*
	cp debian/copyright debian/tmp-run/usr/share/doc/bzip2/
endif

	# Library package
ifndef __NO_DOCS_PLEASE__
	install -d debian/tmp-lib/usr/share/doc/libbz2-1.0
	cp debian/copyright debian/tmp-lib/usr/share/doc/libbz2-1.0/
	cp CHANGES debian/tmp-lib/usr/share/doc/libbz2-1.0/changelog
	cp debian/changelog \
	  debian/tmp-lib/usr/share/doc/libbz2-1.0/changelog.Debian
	gzip -v9 debian/tmp-lib/usr/share/doc/libbz2-1.0/changelog*

	# Other packages point to libbz2-1.0
	install -d debian/tmp-dev/usr/share/doc

## bzip2 1.0.4-2maemo2

=== debian/changelog ===
bzip2 (1.0.4-2maemo2) diablo; urgency=low

  * Increased version number to force builder to re-index the package

 -- Andrew Zabolotny <zap@homelink.ru>  Sat, 09 Aug 2008 18:00:44 +0400

## bzip2 1.0.4-2maemo4

=== debian/changelog ===
bzip2 (1.0.4-2maemo4) diablo; urgency=low

  * Removed dependency of shared-mime-info and libgtk2.0-bin.
    Instead, follow the Debian packaging policy - check first
    if the respective tools exist and use them only if they do.

 -- Andrew Zabolotny <zap@homelink.ru>  Sat,  9 Aug 2008 23:46:24 +0400

bzip2 (1.0.4-2maemo3) diablo; urgency=low

  * Damnit, gtk-update-icon-cache is not in the default autobuilder
    environment!

 -- Andrew Zabolotny <zap@homelink.ru>  Sat,  9 Aug 2008 20:03:50 +0400

## bzip2 1.0.4-2maemo5

=== debian/changelog ===
bzip2 (1.0.4-2maemo5) diablo; urgency=low

  * Added the -t option to gtk-update-icon-cache since in a empty
    scratchbox installation gtk-update-icon-cache is present, but icon
    cache has not been created...

 -- Andrew Zabolotny <zap@homelink.ru>  Mon, 11 Aug 2008 22:39:55 +0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Priority: optional
 Section: user/tools
 Architecture: any
-Depends: libbz2-1.0, shared-mime-info
+Depends: libbz2-1.0
 Replaces: libbz2 (<<0.9.5d-3)
 Description: high-quality block-sorting file compressor - utilities
  bzip2 is a freely available, patent free, high-quality data compressor.
